#ifndef Model_c
#define NN     6	/* immer klammern! */
#define Title "mgerman.h Kupfergermanat Cu-Ge-O(4)" 
#define Sym       1	/* x x 7 x x x x x x Symmetrien */
#define Sud       1
#define CM(JJ,tJ,tU) tU	  /* Heisenberg-,  t-J- or  Hubbard-model */
/* =========================== Gitter =========================== *
             6,8=Ge               0,1 = Cu d_xz
               |                  2,3 = O  p_z
               |                  4,5 = O  p_x
             2,4=O                6,7 = Ge p_z 
             / | \                8,9 = Ge h_x (s-p hybrid)
           /   |   \
         /     |     \
      0=Cu     |     1=Cu
         \     |     /
           \   |   /    ^ x
             \ | /      |
             3,5=O      |
               |         ---> z
               |
             7,9=Ge
 * ============================================================== */
#define Nw 10
#define Ne NN
#define Nv 10
#endif
#define noSBase 1		/* SBase/noSBase = with/without symmetry */ 
#if Model_c
  /*  i=site 0..NN, d=translation rc=i+vec_d */
  int site_move(int i,int dx,int dy,...){ return 0;} /* not used */
  int initvars(){ int i;
    int tis[NN]={0,1,3,2,5,4} ; /* x-spiegelung */
    for(i=0;i<NN;i++)sym.i[0][i]=tis[i];
    iw[ 0][0]=0; iw[ 0][1]=2; wt[ 0]=1;		/* t_Cu-O -pz.dxz */
    iw[ 1][0]=0; iw[ 1][1]=3; wt[ 1]=1;		/* t_Cu-O -pz.dxz */
    iw[ 2][0]=1; iw[ 2][1]=2; wt[ 2]=1;		/* t_Cu-O -pz.dxz */
    iw[ 3][0]=1; iw[ 3][1]=3; wt[ 3]=1;		/* t_Cu-O -pz.dxz */
    iw[ 4][0]=0; iw[ 4][1]=4; wt[ 4]=2;		/* t_Cu-O  px.dxz */
    iw[ 5][0]=0; iw[ 5][1]=5; wt[ 5]=2;		/* t_Cu-O  px.dxz */
    iw[ 6][0]=1; iw[ 6][1]=4; wt[ 6]=3;		/* t_Cu-O -px.dxz */
    iw[ 7][0]=1; iw[ 7][1]=5; wt[ 7]=3;		/* t_Cu-O -px.dxz */
    iw[ 8][0]=2; iw[ 8][1]=3; wt[ 8]=4;		/* t_O-O   pz.pz  */
    iw[ 9][0]=4; iw[ 9][1]=5; wt[ 9]=5;		/* t_O-O   px.px  */
    nu=1;nd=1;					/* 1 Cu    */
#if NN>6
    iw[10][0]=2; iw[10][1]=6; wt[ 8]=6;		/* t_Ge-O  pz.pz  */
    iw[11][0]=3; iw[11][1]=7; wt[ 9]=6;		/* t_Ge-O  pz.pz  */
    iw[12][0]=4; iw[12][1]=8; wt[10]=7;		/* t_Ge-O  hx.px  */
    iw[13][0]=5; iw[13][1]=9; wt[11]=7;		/* t_Ge-O  hx.px  */
    nu=5;nd=5;					/* 1 Cu + 4 Ge    */
#endif
    we[0]=8;  wu[0]=12;				/* Cu dxz */
    we[1]=8;  wu[1]=12;				/* Cu dxz */
    we[2]=9;  wu[2]=13;				/* O  pz */
    we[3]=9;  wu[3]=13;				/* O  pz */
    we[4]=9;  wu[4]=13;				/* O  px */
    we[5]=9;  wu[5]=13;				/* O  px */
#if NN>6
    we[6]=10; wu[6]=14;				/* Ge pz */
    we[7]=10; wu[7]=14;				/* Ge pz */
    we[8]=11; wu[8]=14;				/* Ge hx */
    we[9]=11; wu[9]=14;				/* Ge hx */
#endif
    iw2[0][0]=2;iw2[0][1]=4;wu2[0]=15;wj2[0]=16;	/* O px-pz */
    iw2[1][0]=3;iw2[1][1]=5;wu2[1]=15;wj2[1]=16;	/* O px-pz */
    iw2[2][0]=0;iw2[2][1]=2;wu2[2]=17;wj2[2]=18;	/* Cu-O */
    iw2[3][0]=0;iw2[3][1]=3;wu2[3]=17;wj2[3]=18;	/* Cu-O */
    iw2[4][0]=0;iw2[4][1]=4;wu2[4]=17;wj2[4]=18;	/* Cu-O */
    iw2[5][0]=0;iw2[5][1]=5;wu2[5]=17;wj2[5]=18;	/* Cu-O */
    iw2[6][0]=1;iw2[6][1]=2;wu2[6]=17;wj2[6]=18;	/* Cu-O */
    iw2[7][0]=1;iw2[7][1]=3;wu2[7]=17;wj2[7]=18;	/* Cu-O */
    iw2[8][0]=1;iw2[8][1]=4;wu2[8]=17;wj2[8]=18;	/* Cu-O */
    iw2[9][0]=1;iw2[9][1]=5;wu2[9]=17;wj2[9]=18;	/* Cu-O */
    numpara=19;
    para[0]= 0.0;	/* immer 0 */
    para[1]=-0.8;	/* t_Cu-O -pz.dxz */
    para[2]= 0.6;	/* t_Cu-O  px.dxz */
    para[3]=-0.6;	/* t_Cu-O -px.dxz */
    para[4]=-0.3 *0;	/* t_O-O   pz.pz  (p-p-pi) (-)??? */
    para[5]=-1.2 *0;	/* t_O-O   px.px  (p-p-si) */
    para[6]= 1.2 *0;	/* t_Ge-O  pz.pz  */
    para[7]=-5.35*0;	/* t_Ge-O  hx.px  */
    para[8]=-0.5;	/* e_Cu dxz   */
    para[9]= 2.6;	/* e_O  pz,px */
    para[10]=-5.0*0;	/* e_Ge pz   */
    para[11]= 1.0*0;	/* e_Ge hx   ?????? */
    para[12]= 8.0;	/* U0_Cu */
    para[13]= 4.0;	/* U0_O  */
    para[14]= 0.0*0;	/* U0_Ge */
    para[15]= 3.2*0;	/* O  U  = U0 + 2 JH */
    para[16]=-0.6*0;	/* O  JH = U0/10 */
    para[17]= 0.56*0;	/* Upd */
    para[18]=-0.11*0;	/* Kpd */
    x_p=0;return 0;}
#endif 


